func! WordProcessor()
    " movement changes
    map j gj
    map k gk
    map 0 g0
    map $ g$
    " formatting text
    setlocal wrap
    setlocal linebreak
    " spelling and thesaurus
    setlocal spell spelllang=en_us
    " complete+=s makes autocompletion search the thesaurus
    set complete+=s
    set expandtab
    set tabstop=2
    set textwidth=100
endfu

com! WP call WordProcessor()
